Page MenuHomePhabricator

Track the usage of the different copy links
Closed, ResolvedPublic3 Estimated Story Points

Description

Use simple tracking just counting the clicks on these / how many times the special pages was opened with valid content.

  • Add tracking for the JS link
  • Add tracking for the non-JS version
  • Add simple numbers for both to the Grafana board

When adding the numbers to the Grafana board it should be made clear that the numbers are just raw counts of the events. So if someone clicks the copy link ten times on the same conflict it will be counted as ten clicks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 2:09 PM
Lena_WMDE set the point value for this task to 3.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-06-24 board.

Change 607727 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Track usages of the copy link / special page

https://gerrit.wikimedia.org/r/607727

WMDE-Fisch updated the task description. (Show Details)Jun 25 2020, 8:44 AM

Change 607727 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Track usages of the copy link / special page

https://gerrit.wikimedia.org/r/607727

Change 607863 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Only count clicks on the copy link once

https://gerrit.wikimedia.org/r/607863

I just created the panels on the Grafana board. Data should come in once this is deployed and people start using it.

Change 607863 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Only count clicks on the copy link once

https://gerrit.wikimedia.org/r/607863

awight added a subscriber: awight.Jun 29 2020, 10:56 AM

I'd like to make some small changes to the panels, adjusting the titles and descriptions to clarify what and how we're measuring.

awight updated the task description. (Show Details)Jul 7 2020, 10:45 AM
Lena_WMDE closed this task as Resolved.Jul 7 2020, 11:38 AM
Lena_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-06-24 board.